Summary:	Screenshooter application and plugin for Xfce panel
Summary(pl.UTF-8):	Aplikacja screenshooter i wtyczka dla panelu Xfce
Name:		xfce4-screenshooter
Version:	1.10.5
Release:	1
License:	GPL
Group:		X11/Applications
Source0:	https://archive.xfce.org/src/apps/xfce4-screenshooter/1.10/%{name}-%{version}.tar.bz2
# Source0-md5:	30cfe3f50353d88e29cde05b38e46546
Patch0:		desktop-name.patch
URL:		https://goodies.xfce.org/projects/panel-plugins/xfce4-screenshooter-plugin
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	exo-devel >= 0.12.0
BuildRequires:	gettext-tools
BuildRequires:	intltool
BuildRequires:	libsoup3-devel >= 3.0.0
BuildRequires:	libtool
BuildRequires:	libxfce4ui-devel >= 4.16.0
BuildRequires:	libxfce4util-devel >= 4.16.0
BuildRequires:	pkgconfig
BuildRequires:	xfce4-dev-tools >= 4.16.0
BuildRequires:	xfce4-panel-devel >= 4.16.0
Requires:	xfce4-dirs >= 4.6
Obsoletes:	xfce4-screenshooter-plugin
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This application allows you to capture the entire screen, the active
window or a selected region. You can set the delay that elapses before
the screenshot is taken and the action that will be done with the
screenshot: save it to a PNG file, copy it to the clipboard, open it
using another application, or host it on ZimageZ, a free online image
hosting service.

A plugin for the Xfce panel is also available.

%description -l pl.UTF-8
Ta aplikacja umożliwia zrobienie zrzutu ekranu, aktywnego okna albo
zaznaczonego obszaru. Można ustawić opóźnienie przed zrobieniem zrzutu
ekranu i akcję, która zostanie wykonana po: zapisać do pliku PNG,
przenieść do schowka, otworzyć przy pomocy innego programu lub
umieścić na ZimageZ, darmowym serwisie hostowania obrazów.

Dostępna jest też wtyczka dla panelu Xfce.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure \
	--disable-static

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xfce4/panel/plugins/*.la

%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{fa_IR,hye,ie,ur_PK}
# unify
%{__mv} $RPM_BUILD_ROOT%{_localedir}/{hy_AM,hy}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS
%attr(755,root,root) %{_bindir}/xfce4-screenshooter
%{_desktopdir}/xfce4-screenshooter.desktop
%attr(755,root,root) %{_libdir}/xfce4/panel/plugins/libscreenshooterplugin.so*
%dir %{_prefix}/libexec/xfce4
%dir %{_prefix}/libexec/xfce4/screenshooter
%dir %{_prefix}/libexec/xfce4/screenshooter/scripts
%attr(755,root,root) %{_prefix}/libexec/xfce4/screenshooter/scripts/imgur-upload.sh
%{_datadir}/xfce4/panel/plugins/screenshooter.desktop
%{_iconsdir}/hicolor/*/apps/org.xfce.screenshooter.*
%{_datadir}/metainfo/xfce4-screenshooter.appdata.xml
%{_mandir}/man1/xfce4-screenshooter.1*
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xfce4-screenshooter.git;a=log;h=master

* Sun Apr 21 2024 Krzysztof Mrozowicz <mrozowik@pld-linux.org> c16668e
- up to 1.10.5

* Sun May 14 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 596e566
- up to 1.10.4

* Fri Jan 13 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> a1d01f1
- up to 1.10.3

* Tue Jan 03 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 567a56e
- up to 1.10.2

* Thu Dec 22 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 22d3554
- up to 1.10.1

* Wed Nov 16 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> dd6c6d6
- up to 1.10.0

* Tue Sep 06 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 129788b
- up to 1.9.11

* Thu Mar 10 2022 Krzysztof Mrozowicz <mrozowik@pld-linux.org> aa8b2a8
- up to 1.9.10

* Wed May 19 2021 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 502503f
- up to 1.9.9

* Mon Dec 28 2020 Krzysztof Mrozowicz <mrozowik@pld-linux.org> 5ec5c77
- up to 1.9.8

* Wed Jul 22 2020 Krzysztof Mrozowicz <mrozowik@@pld-linux.org> f1ed099
- up tp version 1.9.7

* Thu Oct 10 2019 Jan Rękorajski <baggins@pld-linux.org> 73fe9c8
- fix locales
- rel 2

* Wed Oct 09 2019 Jan Rękorajski <baggins@pld-linux.org> 7bb8cfe
- up to 1.9.6

* Sun Aug 25 2019 Jan Rękorajski <baggins@pld-linux.org> e538240
- up to 1.9.5

* Tue Mar 31 2015 Jan Rękorajski <baggins@pld-linux.org> 2a10e91
- up to 1.8.2

* Mon Mar 23 2015 Elan Ruusamäe <glen@delfi.ee> 36c8ec5
- x32 rebuild
- release 3 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> bd8caba
- updated gettext BR

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 4840932
- asturian manual is broken

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> eb2dcd8
- updated files

* Thu May 17 2012 Jan Rękorajski <baggins@pld-linux.org> 44b6fb0
- install manual where program wants it
- rel 2

